You are not logged in.

#3351 2018-07-03 19:06:35

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,528
Website

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

Tharbad wrote:

The NVIDIA driver package still supports only v4.16. Is everything OK?

No idea what you're talking about or how the question is related to [repo-ck].


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs • 1.21 JIGOWATTS!

Offline

#3352 2018-07-03 20:27:02

Tharbad
Member
Registered: 2016-02-27
Posts: 108

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

graysky wrote:
Tharbad wrote:

The NVIDIA driver package still supports only v4.16. Is everything OK?

No idea what you're talking about or how the question is related to [repo-ck].

nvidia-ck-ivybridge-2:396.24-1-x86_64.pkg.tar.xz is part of the repo:
http://repo-ck.com/x86_64/

Offline

#3353 2018-07-03 21:27:29

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,528
Website

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

Tharbad wrote:

nvidia-ck-ivybridge-2:396.24-1-x86_64.pkg.tar.xz is part of the repo:
http://repo-ck.com/x86_64/

What am I missing?

# Generated by makepkg 5.1.0
# using fakeroot version 1.22
pkgname = nvidia-ck-ivybridge
pkgbase = nvidia-ck-ivybridge
pkgver = 2:396.24-1
pkgdesc = NVIDIA drivers for linux-ck. Third Gen Intel Core i3/i5/i7 optimized.
url = http://www.nvidia.com/
builddate = 1530137031
packager = graysky
size = 9526272
arch = x86_64
license = custom
group = ck-ivybridge
conflict = nvidia-340xx-ck-ivybridge
conflict = nvidia-390xx-ck-ivybridge
depend = linux-ck-ivybridge>=4.17
depend = linux-ck-ivybridge<4.18
depend = libgl
depend = nvidia-utils=396.24
makedepend = nvidia-utils=396.24
makedepend = libglvnd
makedepend = linux-ck-ivybridge-headers>=4.17
makedepend = linux-ck-ivybridge-headers<4.18

Last edited by graysky (2018-07-03 21:27:45)


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs • 1.21 JIGOWATTS!

Offline

#3354 2018-07-03 22:19:38

Tharbad
Member
Registered: 2016-02-27
Posts: 108

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

no clue:

 installing linux-ck-ivybridge (4.17.3-1) breaks dependency 'linux-ck-ivybridge<4.17' required by nvidia-ck-ivybridge 

That's what I have installed:

Name            : nvidia-ck-ivybridge
Version         : 2:396.24-2
Description     : NVIDIA drivers for linux-ck. Third Gen Intel Core i3/i5/i7 optimized.
Architecture    : x86_64

Last edited by Tharbad (2018-07-03 22:21:26)

Offline

#3355 2018-07-03 23:12:36

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,528
Website

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

EDIT:  You're on 2:396.24-2?  I haven't released -2.

Last edited by graysky (2018-07-03 23:13:56)


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs • 1.21 JIGOWATTS!

Offline

#3356 2018-07-03 23:27:24

Tharbad
Member
Registered: 2016-02-27
Posts: 108

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

graysky wrote:

EDIT:  You're on 2:396.24-2?  I haven't released -2.

It was there when I updated the system in 12.5.2018

EDIT: I installed the one in the repo. Now it's compatible.

EDIT2: The package .PKGINFO

# Generated by makepkg 5.0.2
# using fakeroot version 1.22
# Sat May 12 19:34:38 UTC 2018
pkgname = nvidia-ck-ivybridge
pkgver = 2:396.24-2
pkgdesc = NVIDIA drivers for linux-ck. Third Gen Intel Core i3/i5/i7 optimized.
url = http://www.nvidia.com/
builddate = 1526153678
packager = graysky <graysky@archlinux.us>
size = 9525248
arch = x86_64
license = custom
group = ck-ivybridge
conflict = nvidia-340xx-ck-ivybridge
conflict = nvidia-390xx-ck-ivybridge
depend = linux-ck-ivybridge>=4.16
depend = linux-ck-ivybridge<4.17
depend = libgl
depend = nvidia-utils=396.24
makedepend = linux-ck-ivybridge-headers>=4.16
makedepend = linux-ck-ivybridge-headers<4.17
makedepend = nvidia-libgl

Was that package an error?

Last edited by Tharbad (2018-07-04 01:24:35)

Offline

#3357 2018-07-09 20:35:49

vinnom
Member
Registered: 2013-11-24
Posts: 38

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

Tharbad wrote:
graysky wrote:

EDIT:  You're on 2:396.24-2?  I haven't released -2.

It was there when I updated the system in 12.5.2018

EDIT: I installed the one in the repo. Now it's compatible.

EDIT2: The package .PKGINFO

# Generated by makepkg 5.0.2
# using fakeroot version 1.22
# Sat May 12 19:34:38 UTC 2018
pkgname = nvidia-ck-ivybridge
pkgver = 2:396.24-2
pkgdesc = NVIDIA drivers for linux-ck. Third Gen Intel Core i3/i5/i7 optimized.
url = http://www.nvidia.com/
builddate = 1526153678
packager = graysky <graysky@archlinux.us>
size = 9525248
arch = x86_64
license = custom
group = ck-ivybridge
conflict = nvidia-340xx-ck-ivybridge
conflict = nvidia-390xx-ck-ivybridge
depend = linux-ck-ivybridge>=4.16
depend = linux-ck-ivybridge<4.17
depend = libgl
depend = nvidia-utils=396.24
makedepend = linux-ck-ivybridge-headers>=4.16
makedepend = linux-ck-ivybridge-headers<4.17
makedepend = nvidia-libgl

Was that package an error?

Some times this happens with me too. Everytime is happens, I remove the nvidia-ck package and then install it again smile
not sure why it happens though

Offline

#3358 2018-07-28 19:44:38

john29
Member
Registered: 2014-11-27
Posts: 21

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

resolving dependencies...
warning: cannot resolve "nvidia-utils=396.24", a dependency of "nvidia-ck-zen"
:: The following package cannot be upgraded due to unresolvable dependencies:
      nvidia-ck-zen

Offline

#3359 2018-07-28 20:04:06

Enverex
Member
From: UK
Registered: 2007-06-13
Posts: 141
Website

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

I just noticed the instability of the CK kernel server, The Wiki says "Graysky is using Go Daddy as his web host. Some of the transfers from their poorly implemented server end in an incomplete transfer." and one of Grey's own comments earlier in this thread says "That is the quality service godaddy provides.". So it may seem like a silly question but, why would you possibly stay with the same host when it's so completely unstable? (is it free or something?)

Offline

#3360 2018-07-28 20:44:11

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,528
Website

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

@john29 - I updated.  The problem is that the nvidia-utils version in [extra] was bumped but no one flagged the AUR package out-of-date so I didn't know about it.
@Enverex - Yes, the cost is insanely low.


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs • 1.21 JIGOWATTS!

Offline

#3361 2018-08-02 06:04:47

eigengrau
Member
Registered: 2013-09-19
Posts: 43

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

Hello graysky,

I noticed that upgrading to nvidia-ck-ivybridge 2:396.45-1 (from 396.24) breaks CUDA functionality (with device enumeration failing in CUDA applications). On the NVIDIA forums it is suggested that 396.45 needs CONFIG_NUMA for CUDA to work.

Kind regards,
E.

Last edited by eigengrau (2018-08-02 06:09:42)

Offline

#3362 2018-08-02 07:34:35

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,528
Website

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

@eigengrau - Yes, see: https://bbs.archlinux.org/viewtopic.php … 2#p1800302

For [repo-ck] I will continue shipping the NUMA disabled packages, but individual CUDA users can compile from the AUR with that option set to null.


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs • 1.21 JIGOWATTS!

Offline

#3363 2018-08-03 13:11:28

eigengrau
Member
Registered: 2013-09-19
Posts: 43

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

graysky wrote:

Thank you kindly for the pointer!

Offline

#3364 2018-08-13 20:00:04

jirido
Member
Registered: 2018-08-13
Posts: 5

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

Hi, and thanks for your work.
I would like to report a bug.. I think.

For a while now i have had problem with my box that run a N3540. It has been crashing and crashing.. So i tried baytrail kernel and then ck-silvermont.. nothing helped. At last i found out i had two memory faults, one at 640mb and one at 6784Mb.
So I figured out the memmap=1M$640M memmap=1M$6784M on the kernel line..

The first was swallowed fine but the second memmap refused to go down.. on ck-silvermont. Then i got the idea to try the arch mainline.. and glory and behold.. it worked!
I would really like to use the silvermont kernel.. but with my two memory faults and all.. so I just wanted to report and hope this is easy to fix. And  that you care. Thanks

Offline

#3365 2018-08-13 22:06:39

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,528
Website

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

@jirido - Does the standard kernel (Arch) work without the memmap lines?  If so, does the generic ck kernel work without the lines?


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs • 1.21 JIGOWATTS!

Offline

#3366 2018-08-13 22:43:29

jirido
Member
Registered: 2018-08-13
Posts: 5

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

No both crash after a while. But arch mainline could boot with both memmap'ings on the line while ck-silvermont can't boot if the second mapping where on the line.

Offline

#3367 2018-08-13 22:48:33

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,528
Website

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

jirido wrote:

No both crash after a while. But arch mainline could boot with both memmap'ings on the line while ck-silvermont can't boot if the second mapping where on the line.

OK, so the memlines are required on the standard Arch kernel.  How about the generic ck kernel (not ck-silvermont)?  Does it run with the memlines ok?  I want to see if the problem is the silventmout code or ck1 itself.  Further, if you're remapping or limiting memory with those switches, you'll mostly likely just buying time until more memory goes bad (in my experience).  Finally, post the output of:

gcc -c -Q -march=native --help=target | grep march

CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs • 1.21 JIGOWATTS!

Offline

#3368 2018-08-13 23:35:56

jirido
Member
Registered: 2018-08-13
Posts: 5

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

Ok so I installed ck-generic and will now reboot and run it with this kernel line..
options cryptdevice=UUID=6af25e01-222b-4a39-b9c4-8cf002ce9f5b:archlv root=/dev/mapper/archvg-root rw 3 memmap=1M$640M memmap=1M$6784M and theeze HOOKS=(base udev autodetect modconf block keyboard keymap encrypt lvm2 filesystems fsck) in mkinitcpio.conf
The result of: gcc -c -Q -march=native --help=target | grep march
Was without big suprizes:   -march=                             silvermont

Maybe you cod get space for your repo on arch servers. The download broke 3 times.. Not that it was any danger as pacman resumed fine this time (It did not with silvermount that i had to dnload 2x). It seams like arch community is around you and surely they would not mind the space. But I guess you know that and like it like this smile

Offline

#3369 2018-08-13 23:59:43

jirido
Member
Registered: 2018-08-13
Posts: 5

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

Ok so ck-generic worked well with that kernel line. ck-silvermont did not (I tried again).

Say just if you need any more testings.

Offline

#3370 2018-08-14 01:38:00

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 9,528
Website

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

Well, there's something with the silvermont code might be a conclusion.  Not related to ck1.  What makes it more difficult though is that your hardware has know bad memory.


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs • 1.21 JIGOWATTS!

Offline

#3371 2018-08-14 06:30:18

Tharbad
Member
Registered: 2016-02-27
Posts: 108

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

sddm crashed with nvidia 396.51. Had to revert back to 396.45. error is:

 
Failed to read display number from pipe
Display server failed to start. Exiting


Stack trace of thread 870:
     #0  0x00007f6c59a29b5f raise (libc.so.6)
     #1  0x00007f6c59a14452 abort (libc.so.6)
     #2  0x00007f6c59de17fc _ZNK14QMessageLogger5fatalEPKcz (libQt5Core.so.5)
     #3  0x000055bd8b3ac1f3 n/a (sddm)
     #4  0x000055bd8b3ebc2e _ZN4SDDM4Seat13createDisplayEi (sddm)
     #5  0x000055bd8b3ebe72 _ZN4SDDM4SeatC2ERK7QStringP7QObject (sddm)
     #6  0x000055bd8b3ede41 _ZN4SDDM11SeatManager10createSeatERK7QString (sddm)
     #7  0x000055bd8b3eec62 n/a (sddm)
     #8  0x00007f6c59ffd0b0 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
     #9  0x000055bd8b3eceb0 _ZN4SDDM10LogindSeat19canGraphicalChangedEb (sddm)
     #10 0x000055bd8b3ed1c3 n/a (sddm)
     #11 0x00007f6c59ffd0b0 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
     #12 0x00007f6c5ad04900 _ZN23QDBusPendingCallWatcher8finishedEPS_ (libQt5DBus.so.5)
     #13 0x00007f6c5ad04a01 n/a (libQt5DBus.so.5)
     #14 0x00007f6c59ffd832 _ZN7QObject5eventEP6QEvent (libQt5Core.so.5)
     #15 0x00007f6c59fd30f7 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
     #16 0x00007f6c59fd61ac _ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData (libQt5Core.so.5)
     #17 0x00007f6c5a026ec4 n/a (libQt5Core.so.5)
     #18 0x00007f6c579a7368 g_main_context_dispatch (libglib-2.0.so.0)
     #19 0x00007f6c579a75b1 n/a (libglib-2.0.so.0)
     #20 0x00007f6c579a763e g_main_context_iteration (libglib-2.0.so.0)
     #21 0x00007f6c5a0264a9 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
     #22 0x00007f6c59fd1dac _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
     #23 0x00007f6c59fda0a6 _ZN16QCoreApplication4execEv (libQt5Core.so.5)
     #24 0x000055bd8b3afb0a main (sddm)
     #25 0x00007f6c59a16003 __libc_start_main (libc.so.6)
     #26 0x000055bd8b3afe0a _start (sddm)
     
     Stack trace of thread 871:
     #0  0x00007f6c59ae2991 __poll (libc.so.6)
     #1  0x00007f6c579a7523 n/a (libglib-2.0.so.0)
     #2  0x00007f6c579a763e g_main_context_iteration (libglib-2.0.so.0)
     #3  0x00007f6c5a0264a9 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
     #4  0x00007f6c59fd1dac _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
     #5  0x00007f6c59e1af59 _ZN7QThread4execEv (libQt5Core.so.5)
     #6  0x00007f6c5aca8ba6 n/a (libQt5DBus.so.5)
     #7  0x00007f6c59e25005 n/a (libQt5Core.so.5)
     #8  0x00007f6c599d8a8d start_thread (libpthread.so.0)
     #9  0x00007f6c59aed823 __clone (libc.so.6)

Checked the Arch bugs report, nothing like this on the latest and lts drivers.

Offline

#3372 2018-08-14 08:03:00

lll2yu
Member
Registered: 2018-08-14
Posts: 4

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

initcpio image fails to build with nvidia-ck-broadwell 2:396.51-1, also tried generic nvidia-ck 2:396.51-1. The error line says that modules nvidia nvidia_modset nvidia_uvm nvidia_drm are missing. The initcpio image builds fine with extra\nvidia though. Wasn't a problem with nvidia-ck-broadwell 2:396.45.

Error output:-

==> Building image from preset: /etc/mkinitcpio.d/linux-ck-broadwell.preset: 'default'
  -> -k /boot/vmlinuz-linux-ck-broadwell -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-ck-broadwell.img
==> Starting build: 4.17.11-1-ck-broadwell
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [encrypt]
  -> Running build hook: [openswap]
  -> Running build hook: [resume]
  -> Running build hook: [shutdown]
  -> Running build hook: [suspend]
  -> Running build hook: [filesystems]
==> ERROR: module not found: `nvidia'
==> ERROR: module not found: `nvidia_modeset'
==> ERROR: module not found: `nvidia_uvm'
==> ERROR: module not found: `nvidia_drm'
==> Generating module dependencies
==> Creating xz-compressed initcpio image: /boot/initramfs-linux-ck-broadwell.img
==> WARNING: errors were encountered during the build. The image may not be complete.

/etc/mkinitcpio.conf

MODULES=(nvidia nvidia_modeset nvidia_uvm nvidia_drm lz4 lz4_compress)

Last edited by lll2yu (2018-08-14 17:07:36)

Offline

#3373 2018-08-14 09:34:06

jirido
Member
Registered: 2018-08-13
Posts: 5

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

Well if you fix it I'll use it smile Best of luck's

Offline

#3374 2018-08-14 09:50:38

Tharbad
Member
Registered: 2016-02-27
Posts: 108

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

lll2yu wrote:

initcpio image fails to build with nvidia-ck-broadwell 2:396.51-1, also tried generic nvidia-ck 2:396.51-1. The error line says that modules nvidia nvidia_modset nvidia_uvm nvidia_drm are missing. The initcpio image builds fine with extra\nvidia though. Wasn't a problem nvidia-ck-broadwell 2:396.45.

/etc/mkinitcpio.conf

MODULES=(nvidia nvidia_modeset nvidia_uvm nvidia_drm lz4 lz4_compress)

Why do u use those modules? I don't have them everything is ok (I have nvidia card too).

Last edited by Tharbad (2018-08-14 09:54:05)

Offline

#3375 2018-08-14 14:22:41

raggerv8
Member
Registered: 2010-07-01
Posts: 89

Re: unofficial linux-ck repo with cpu optimized packages is ONLINE

Tharbad wrote:
lll2yu wrote:

initcpio image fails to build with nvidia-ck-broadwell 2:396.51-1, also tried generic nvidia-ck 2:396.51-1. The error line says that modules nvidia nvidia_modset nvidia_uvm nvidia_drm are missing. The initcpio image builds fine with extra\nvidia though. Wasn't a problem nvidia-ck-broadwell 2:396.45.

/etc/mkinitcpio.conf

MODULES=(nvidia nvidia_modeset nvidia_uvm nvidia_drm lz4 lz4_compress)

Why do u use those modules? I don't have them everything is ok (I have nvidia card too).

I have the same issue and I have this

MODULES=(nvidia nvidia_modeset nvidia_uvm nvidia_drm)

The reason, IIRC, was that I enabled Kernel mode setting. I got it from here https://wiki.archlinux.org/index.php/NV … de_setting

Last edited by raggerv8 (2018-08-14 14:23:54)

Offline

Board footer

Powered by FluxBB